package com.ruoyi.tc.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 单位信息查询请求类
 * @author du
 * @since 2024/11/13 16:52
 */
@Data
public class UnitRequest {


//    @ApiModelProperty("1 查询已有资产的单位")
//    private String isSearch;

    @ApiModelProperty("组织机构代码")
    private Long deptId;

    @ApiModelProperty("统一社会信用代码")
    private String userName;

    @ApiModelProperty("单位名称")
    private String nickName;

    @ApiModelProperty("单位类型,传字典")
    private String dwlx;

    @ApiModelProperty("页码")
    private Long current=1L;

    @ApiModelProperty("页数")
    private Long size=10L;
}
