package com.ruoyi.tc.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.tc.baseClass.BaseClass;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 单位其他联系人(unit_other_contact)实体类
 * @author du
 * @since 2024/11/13 14:44
 */
@Data
@ApiModel("单位其他联系人")
@TableName(value = "unit_other_contact")
public class UnitOtherConcat extends BaseClass implements Serializable {

    @TableId(type = IdType.AUTO,value = "concat_id")
    private Long concatId;

    @ApiModelProperty("单位id")
    private Long unitId;

    @ApiModelProperty("资产id")
    private Long assetId;

    @ApiModelProperty("其他联系人姓名")
    private String qtlxrxm;

    @ApiModelProperty("其他联系人联系方式")
    private String qtlxrlxfs;

    @ApiModelProperty("其他联系人邮箱")
    private String qtlxryx;

    @ApiModelProperty("其他联系人职务职称")
    private String qtlxrzwzc;

    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;
}
